Validate
API server
https://app.coolify.io/api/v1Validate server by UUID. With install=true, needs a token with the write and deploy permissions.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
Server UUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Install missing prerequisites and Docker, then start the proxy. This can restart the Docker daemon. Needs the deploy permission.
falseResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/servers/string/validate" \ -H "Content-Type: application/json" \ -d '{}'{ "message": "Validation started."}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}Update Sentinel settings PATCH
Update Sentinel settings for a server owned by the authenticated team. Changing token/metrics timing fields may restart Sentinel. Needs a token with the write and deploy permissions.
Get service application GET
Get a single compose service application by service UUID and application UUID.
